/*パラレルポートでLEDを点滅させるプログラム
点滅パターン内容：2進数表示で0から1ずつ増えていき、'11111111'になったらカウントストップする
最初に書いた日 2012.3.27 */

#include <stdio.h>
#include <sys/io.h>

/* ※パラレルポートのI/Oアドレスに合わせて書き換えてください */
#define parallel_out 0x2018

int main(void)
{
	/* I/O権限取得 */
	ioperm(parallel_out, 8, 1);
	int data;
	data = 0;

	/* 端末画面メッセージ等 */
	system("clear");
	printf("\n＊LED点滅プログラム＊\n点滅パターン：2進数表示で0から1ずつ増えていき、\n");
	printf("　　　　　　　'11111111'になったらカウントストップする\n途中で停止したい時はCntl+cで停止してください\n\n");
	system("aplay -q start.wav");

	/* 出力 */
	while(data < 256)
	{
		outb(data, parallel_out);
		data = data + 1;
		usleep(100000);
	}

	/* 端末画面メッセージ等 */	
	printf("カウントストップ！\n\n");
	system("aplay -q end.wav");

	return 0;
}

